Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a decision model
        • Retrieve decision models
        • Retrieve a decision model
        • Update a decision model
        • Retrieve revisions
        • Retrieve a revision
        • Retrieve variants
  1. REST API Decision model
  1. Sitecore Personalize developer documentation
  2. REST APIs

Retrieve a decision model

GET /v2/decisionModelDefinitions/<decisionModelRef>

Retrieves a decision model.

AttributeTypeDescriptionExample
decisionModelRefstringThe reference of the decision model.

If you do not know the decision model reference, first retrieve decision models.
865ce079-6012-4f97-bc46-07215691a178
curl -X GET '<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178",
    "ref": "865ce079-6012-4f97-bc46-07215691a178",
    "name": "TEST_1539184400561_PP_1",
    "modifiedByUserRef": "843c775e-db9c-49f6-9f56-e3999123bcf4",
    "modifiedAt": "2026-10-10T15:`14:40`.233Z",
    "revision": 3,
    "archived": false,
    "deploymentConfiguration": {
        "variants": [
            {
                "variantRef": "19700f15-4069-4121-b709-1031118677c8",
                "split": 80,
                "status": "PRODUCTION",
                "variantRevision": 1
            },
            {
                "variantRef": "42e882a5-c8a8-4149-be76-343409d10c1c",
                "split": 20,
                "status": "PRODUCTION",
                "variantRevision": 1
            }
        ]
    },
    "variants": {
        "href": "<baseURL>/v2/decisionModelDefinitions/e8878fdb-4031-423c-a12b-5691381f0c89/variants"
    },
    "revisions": {
        "href": "<baseURL>/v2/decisionModelDefinitions/e8878fdb-4031-423c-a12b-5691381f0c89/revisions"
    }
}
If you have suggestions for improving this article, let us know!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
PersonalizeCloud Portal